# Enum Class AngleColumnConverter.Unit

java.lang.Object
java.lang.Enum<AngleColumnConverter.Unit>
uk.ac.starlink.topcat.AngleColumnConverter.Unit

All Implemented Interfaces:
  `Serializable, Comparable<AngleColumnConverter.Unit>, Constable`

Enclosing class:
  `AngleColumnConverter`

public static enum AngleColumnConverter.Unit extends Enum<AngleColumnConverter.Unit>
Angular units understood by this converter.

Since:
  18 Sep 2024
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARCMIN`
Arcminute.
`ARCSEC`
Arcsecond.
`DEGREE`
Degree.
`HOUR`
Hour.
`RADIAN`
Radian.

## Method Summary

Modifier and Type
Method
Description
`static AngleColumnConverter.Unit`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AngleColumnConverter.Unit[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEGREE

public static final AngleColumnConverter.Unit DEGREE
Degree.

### HOUR

public static final AngleColumnConverter.Unit HOUR
Hour.

### ARCMIN

public static final AngleColumnConverter.Unit ARCMIN
Arcminute.

### ARCSEC

public static final AngleColumnConverter.Unit ARCSEC
Arcsecond.

### RADIAN

public static final AngleColumnConverter.Unit RADIAN
Radian.

## Method Details

### values

public static AngleColumnConverter.Unit[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AngleColumnConverter.Unit valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null